# Uses of Class
org.jmol.modelset.Atom

Packages that use Atom
Package
Description
org.jmol.adapter.readers.quantum
org.jmol.adapter.writers
org.jmol.api
org.jmol.atomdata
org.jmol.c
org.jmol.dssx
org.jmol.export
org.jmol.g3d
Provides a software implementation of complete 3D graphics engine for rendering molecules and associated shapes.
org.jmol.minimize
org.jmol.minimize.forcefield
org.jmol.modelkit
org.jmol.modelset
org.jmol.modelsetbio
org.jmol.quantum
org.jmol.render
org.jmol.script
org.jmol.shape
org.jmol.shapebio
org.jmol.shapespecial
org.jmol.shapesurface
org.jmol.smiles
Jmol SMILES, Jmol SMARTS, Jmol bioSMILES, and Jmol bioSMARTS
org.jmol.symmetry
org.jmol.util
org.jmol.viewer
org.openscience.jmol.app.janocchio

## Uses of Atom in org.jmol.adapter.readers.quantum

Methods in org.jmol.adapter.readers.quantum with parameters of type Atom
Modifier and Type
Method
Description
`String`
NBOParser.`getNBOAtomLabel(Atom a)`
get the

## Uses of Atom in org.jmol.adapter.writers

Fields in org.jmol.adapter.writers declared as Atom
Modifier and Type
Field
Description
`protected Atom[]`
CIFWriter.`atoms`

## Uses of Atom in org.jmol.api

Methods in org.jmol.api that return Atom
Modifier and Type
Method
Description
`Atom`
SymmetryInterface.`getConstrainableEquivAtom(Atom a)`
Methods in org.jmol.api with parameters of type Atom
Modifier and Type
Method
Description
`void`
JmolRendererInterface.`drawAtom(Atom atom, float radius)`
`Lst<Float>`
JmolAnnotationParser.`getAtomValidation(Viewer vwr, String type, Atom atom)`
`float`
JmolNMRInterface.`getChemicalShift(Atom atom)`
If shift reference has not been set, it defaults to 0 and just displays the negative of magnetic shielding
`Atom`
SymmetryInterface.`getConstrainableEquivAtom(Atom a)`
`float`
JmolNMRInterface.`getDipolarConstantHz(Atom a1, Atom a2)`
`float`
JmolNMRInterface.`getDipolarCouplingHz(Atom a1, Atom a2, V3 vField)`
`float`
JmolNMRInterface.`getIsoOrAnisoHz(boolean isIso, Atom a1, Atom a2, String type, Tensor t)`
If t is null, then a1, a2, and type are used to find the appropriate tensor.
`AtomIndexIterator`
SymmetryInterface.`getIterator(Viewer vwr, Atom atom, BS bstoms, float radius)`
`float`
JmolNMRInterface.`getMagneticShielding(Atom atom)`
`int[][]`
SmilesMatcherInterface.`getMapForJME(String jme, Atom[] at, BS bsAtoms)`
`double[]`
JmolNMRInterface.`getNOEorJHH(Atom[] atoms, int mode)`
Method parameters in org.jmol.api with type arguments of type Atom
Modifier and Type
Method
Description
`BS`
JmolScriptManager.`addHydrogensInline(BS bsAtoms, Lst<Atom> vConnections, P3[] pts, Map<String,Object> htParams)`

## Uses of Atom in org.jmol.atomdata

Fields in org.jmol.atomdata declared as Atom
Modifier and Type
Field
Description
`Atom[]`
AtomData.`atoms`

## Uses of Atom in org.jmol.c

Methods in org.jmol.c with parameters of type Atom
Modifier and Type
Method
Description
`static HB`
HB.`getType(Atom atom)`

## Uses of Atom in org.jmol.dssx

Methods in org.jmol.dssx with parameters of type Atom
Modifier and Type
Method
Description
`Lst<Float>`
AnnotationParser.`getAtomValidation(Viewer vwr, String type, Atom atom)`
Get all validation values corresponding to a specific validation type.

## Uses of Atom in org.jmol.export

Methods in org.jmol.export with parameters of type Atom
Modifier and Type
Method
Description
`void`
Export3D.`drawAtom(Atom atom, float radius)`

## Uses of Atom in org.jmol.g3d

Methods in org.jmol.g3d with parameters of type Atom
Modifier and Type
Method
Description
`void`
Graphics3D.`drawAtom(Atom atom, float radius)`

## Uses of Atom in org.jmol.minimize

Fields in org.jmol.minimize declared as Atom
Modifier and Type
Field
Description
`Atom`
MinAtom.`atom`
`Atom[]`
Minimizer.`atoms`

## Uses of Atom in org.jmol.minimize.forcefield

Methods in org.jmol.minimize.forcefield with parameters of type Atom
Modifier and Type
Method
Description
`float[]`
ForceFieldMMFF.`calculatePartialCharges(Bond[] bonds, int[] bTypes, Atom[] atoms, int[] aTypes, BS bsAtoms, boolean doRound)`
assign partial charges ala MMFF94
`boolean`
ForceFieldMMFF.`setArrays(Atom[] atoms, BS bsAtoms, Bond[] bonds, int rawBondCount, boolean doRound, boolean allowUnknowns)`

## Uses of Atom in org.jmol.modelkit

Methods in org.jmol.modelkit that return Atom
Modifier and Type
Method
Description
`protected Atom`
ModelKit.`getBasisAtom(int iatom)`

## Uses of Atom in org.jmol.modelset

Classes in org.jmol.modelset that implement interfaces with type arguments of type Atom
Modifier and Type
Class
Description
`protected class`
`AtomCollection.AtomSorter`
Fields in org.jmol.modelset declared as Atom
Modifier and Type
Field
Description
`Atom[]`
AtomCollection.`at`
`Atom`
Bond.`atom1`
`Atom`
Bond.`atom2`
`protected final Atom[]`
ModelSet.`closest`
Methods in org.jmol.modelset that return Atom
Modifier and Type
Method
Description
`Atom`
ModelSet.`addAtom(int modelIndex, Group group, int atomicAndIsotopeNumber, String atomName, String atomType, int atomSerial, int atomSeqID, int atomSite, P3 xyz, float radius, V3 vib, int formalCharge, float partialCharge, float occupancy, float bfactor, Lst<Object> tensors, boolean isHetero, boolean isNegDisorder, byte specialAtomID, BS atomSymmetry, float bondRadius)`
`Atom`
Atom.`findAromaticNeighbor(int notAtomIndex)`
`Atom`
AtomCollection.`getAtom(int iatom)`
`Atom`
ModelSet.`getBasisAtom(int iatom, boolean doCheck)`
`Atom`
Group.`getCarbonylOxygenAtom()`
`Atom`
Group.`getLeadAtom()`
`Atom`
Group.`getLeadAtomOr(Atom atom)`
`Atom`
Group.`getNitrogenAtom()`
`Atom`
Bond.`getOtherAtom(Atom thisAtom)`
`Atom`
Atom.`setAtom(int modelIndex, int atomIndex, P3 xyz, float radius, BS atomSymmetry, int atomSite, short atomicAndIsotopeNumber, int formalCharge, boolean isHetero, boolean isNegDisorder)`
Methods in org.jmol.modelset with parameters of type Atom
Modifier and Type
Method
Description
`void`
BondCollection.`addConnectedHAtoms(Atom atom, BS bsAtoms)`
`int`
BondCollection.`addHBond(Atom atom1, Atom atom2, int order, float energy)`
/// bonding methods //////
`Bond`
BondCollection.`bondAtoms(Atom atom1, Atom atom2, int order, short mad, BS bsBonds, float energy, boolean addGroup, boolean isNew)`
`protected Bond`
BondCollection.`bondMutually(Atom atom, Atom atomOther, int order, short mad, float energy)`
`int`
AtomCollection.AtomSorter.`compare(Atom a1, Atom a2)`
`protected void`
AtomCollection.`findNearest2(int x, int y, Atom[] closest, BS bsNot, int min)`
////////////////////////////////////////
`String`
LabelToken.`formatLabel(Viewer vwr, Atom atom, String strFormat, P3 ptTemp)`
///////// label formatting for atoms, bonds, and measurements ///////////
`static String`
LabelToken.`formatLabelAtomArray(Viewer vwr, Atom atom, LabelToken[] tokens, char chAtom, int[] indices, P3 ptTemp)`
returns a formatted string based on the precompiled label tokens
`int`
ModelSet.`getAtomCIPChiralityCode(Atom atom)`
Determine the Cahn-Ingold-Prelog R/S chirality of an atom
`Bond`
Atom.`getBond(Atom atomOther)`
`void`
Trajectory.`getFractional(Atom a, P3 ptTemp)`
`Atom`
Group.`getLeadAtomOr(Atom atom)`
`void`
Group.`getMinZ(Atom[] atoms, int[] minZ)`
`int`
AtomCollection.`getMissingHydrogenCount(Atom atom, boolean allowNegative)`
`protected Bond`
BondCollection.`getOrAddBond(Atom atom, Atom atomOther, int order, short mad, BS bsBonds, float energy, boolean overrideBonding)`
`Atom`
Bond.`getOtherAtom(Atom thisAtom)`
`void`
ModelSet.`getPointTransf(int i, Atom a, Quat q, P3 pTemp)`
pick up the appropriate value for this atom
`Quat`
Group.`getQuaternionFrame(Atom[] atoms)`
`protected float`
AtomCollection.`getRadiusVdwJmol(Atom atom)`
`boolean`
Atom.`isBonded(Atom atomOther)`
`boolean`
Measurement.`isConnected(Atom[] atoms, int count)`
`boolean`
Atom.`isCovalentlyBonded(Atom atomOther)`
`protected boolean`
Group.`isCursorOnTopOf(Atom atom, int x, int y, int radius, Atom champ)`
`static boolean`
AtomCollection.`isDeleted(Atom atom)`
`protected boolean`
BondCollection.`isInRange(Atom atom1, Atom atom2, float minD, float maxD, boolean minFrac, boolean maxfrac, boolean isFractional)`
Consider the min/max option for CONNECT
`boolean`
Measurement.`isIntramolecular(Atom[] atoms, int count)`
`void`
BondCollection.`removeUnnecessaryBonds(Atom atom, boolean deleteAtom)`
`void`
AtomCollection.`setElement(Atom atom, int atomicNumber, boolean doTaint)`
`void`
AtomCollection.`setSite(Atom atom, int site, boolean doTaint)`
Method parameters in org.jmol.modelset with type arguments of type Atom
Modifier and Type
Method
Description
`BS`
ModelSet.`addHydrogens(Lst<Atom> vConnections, P3[] pts)`
these are hydrogens that are being added due to a load 2D command and are therefore not to be flagged as NEW
`P3[][]`
AtomCollection.`calculateHydrogens(BS bs, int[] nTotal, Lst<Atom> vConnect, int flags)`
get a list of potential H atom positions based on elemental valence and formal charge
Constructors in org.jmol.modelset with parameters of type Atom
Modifier
Constructor
Description
``
`Bond(Atom atom1, Atom atom2, int order, short mad, short colix)`
``
`HBond(Atom atom1, Atom atom2, int order, short mad, short colix, float energy)`

## Uses of Atom in org.jmol.modelsetbio

Methods in org.jmol.modelsetbio that return Atom
Modifier and Type
Method
Description
`final Atom`
AlphaMonomer.`getAtom(byte specialAtomID)`
`protected final Atom`
Monomer.`getAtomFromOffsetIndex(int offsetIndex)`
`Atom`
NucleicMonomer.`getC1P()`
`Atom`
AminoMonomer.`getCarbonylCarbonAtom()`
`Atom`
AminoMonomer.`getCarbonylOxygenAtom()`
`Atom`
AminoMonomer.`getExplicitNH()`
`final Atom`
Monomer.`getLeadAtom()`
`Atom`
NucleicMonomer.`getN0()`
`Atom`
NucleicMonomer.`getN3()`
`Atom`
AminoMonomer.`getNitrogenAtom()`
/////////////////////////////////////////////////////////////
`protected final Atom`
Monomer.`getSpecialAtom(byte[] interestingIDs, byte specialAtomID)`
`final Atom`
Monomer.`getWingAtom()`
Methods in org.jmol.modelsetbio with parameters of type Atom
Modifier and Type
Method
Description
`protected static int`
NucleicPolymer.`addHydrogenBond(Lst<Bond> vAtoms, Atom atom1, Atom atom2)`
`Group`
BioResolver.`distinguishAndPropagateGroup(Chain chain, String group3, int seqcode, int firstAtomIndex, int lastAtomIndex, int[] specialAtomIndexes, Atom[] atoms)`
`void`
BioPolymer.`findNearestAtomIndex(int xMouse, int yMouse, Atom[] closest, short[] mads, int myVisibilityFlag, BS bsNot)`
`void`
NucleicMonomer.`findNearestAtomIndex(int x, int y, Atom[] closest, short madBegin, short madEnd)`
/////////////////////////////////////////////////////////////
`String`
BioModel.`getUnitID(Atom atom, int flags)`
Get a unitID.
`protected boolean`
Monomer.`updateOffsetsForAlternativeLocations(Atom[] atoms, BS bsSelected)`

## Uses of Atom in org.jmol.quantum

Methods in org.jmol.quantum with parameters of type Atom
Modifier and Type
Method
Description
`void`
MepCalculation.`assignPotentials(Atom[] atoms, float[] potentials, BS bsAromatic, BS bsCarbonyl, BS bsIgnore, String data)`
`void`
MlpCalculation.`assignPotentials(Atom[] atoms, float[] potentials, BS bsAromatic, BS bsCarbonyl, BS bsIgnore, String data)`
`static double[]`
NMRCalculation.`calc2or3JorNOE(Viewer viewer, Atom[] atoms, String CHEquation, int mode)`
Calculate a 2-bond (geminal) or 3-bond (vicinal) coupling constant or an NOE;
`static double[]`
NMRCalculation.`calcNOE(Viewer viewer, Atom atom1, Atom atom2)`
`void`
MepCalculation.`calculate(VolumeData volumeData, BS bsSelected, P3[] xyz, Atom[] atoms, float[] potentials, int calcType)`
`static int`
NMRCalculation.`getCalcType(Atom[] atoms, String[] elementsToFill, int mode)`
`float`
NMRCalculation.`getChemicalShift(Atom atom)`
`float`
NMRCalculation.`getDipolarConstantHz(Atom a1, Atom a2)`
`float`
NMRCalculation.`getDipolarCouplingHz(Atom a1, Atom a2, V3 vField)`
`float`
NMRCalculation.`getIsoOrAnisoHz(boolean isIso, Atom a1, Atom a2, String units, Tensor isc)`
`float`
NMRCalculation.`getJCouplingHz(Atom a1, Atom a2, String type, Tensor isc)`
`float`
NMRCalculation.`getMagneticShielding(Atom atom)`
`double[]`
NMRCalculation.`getNOEorJHH(Atom[] atoms, int mode)`
`protected float`
MepCalculation.`getTabulatedPotential(Atom atom)`
`boolean`
MOCalculation.`setupCalculation(Map<String,Object> moData, boolean isSlaters, VolumeData volumeData, BS bsSelected, T3[] xyz, Atom[] atoms, int firstAtomOffset, int[][] dfCoefMaps, float[] moCoefficients, float[] linearCombination, boolean isSquaredLinear, float[][] coefs, T3[] points)`
`protected void`
QuantumCalculation.`setupCoordinates(float[] originXYZ, float[] stepsXYZ, BS bsSelected, T3[] xyz, Atom[] atoms, T3[] points, boolean renumber)`

## Uses of Atom in org.jmol.render

Methods in org.jmol.render with parameters of type Atom
Modifier and Type
Method
Description
`protected boolean`
ShapeRenderer.`isVisibleForMe(Atom a)`

## Uses of Atom in org.jmol.script

Method parameters in org.jmol.script with type arguments of type Atom
Modifier and Type
Method
Description
`BS`
ScriptManager.`addHydrogensInline(BS bsAtoms, Lst<Atom> vConnections, P3[] pts, Map<String,Object> htParams)`
Add hydrogens to a model

## Uses of Atom in org.jmol.shape

Methods in org.jmol.shape with parameters of type Atom
Modifier and Type
Method
Description
`void`
Shape.`findNearestAtomIndex(int xMouse, int yMouse, Atom[] closest, BS bsNot)`
`static short`
Shape.`getColix(short[] colixes, int i, Atom atom)`
`short`
Labels.`getColix2(int i, Atom atom, boolean isBg)`
`protected short`
Shape.`getColixA(short colix, byte paletteID, Atom atom)`

## Uses of Atom in org.jmol.shapebio

Methods in org.jmol.shapebio with parameters of type Atom
Modifier and Type
Method
Description
`void`
Backbone.`addDisplayedBackbone(Atom a, boolean isVisible)`
`void`
BioShape.`findNearestAtomIndex(int xMouse, int yMouse, Atom[] closest, BS bsNot)`
`void`
BioShapeCollection.`findNearestAtomIndex(int xMouse, int yMouse, Atom[] closest, BS bsNot)`

## Uses of Atom in org.jmol.shapespecial

Fields in org.jmol.shapespecial declared as Atom
Modifier and Type
Field
Description
`Atom[]`
Dipole.`atoms`
`Atom`
Polyhedron.`centralAtom`
Methods in org.jmol.shapespecial with parameters of type Atom
Modifier and Type
Method
Description
`static Ellipsoid`
Ellipsoid.`getEllipsoidForAtomTensor(Tensor t, Atom center)`

## Uses of Atom in org.jmol.shapesurface

Fields in org.jmol.shapesurface declared as Atom
Modifier and Type
Field
Description
`protected Atom[]`
Contact.`atoms`

## Uses of Atom in org.jmol.smiles

Methods in org.jmol.smiles with parameters of type Atom
Modifier and Type
Method
Description
`int[][]`
SmilesMatcher.`getMapForJME(String jme, Atom[] at, BS bsAtoms)`

## Uses of Atom in org.jmol.symmetry

Methods in org.jmol.symmetry that return Atom
Modifier and Type
Method
Description
`Atom`
Symmetry.`getConstrainableEquivAtom(Atom a)`
This atom is usually the atom being moved, but in some cases we need to switch to a different atom in order to avoid the special case where a screw axis (SG 224 Wyckoff i) or glide (plane group 12 Wyckoff c) creates a stationary point.
Methods in org.jmol.symmetry with parameters of type Atom
Modifier and Type
Method
Description
`Atom`
Symmetry.`getConstrainableEquivAtom(Atom a)`
This atom is usually the atom being moved, but in some cases we need to switch to a different atom in order to avoid the special case where a screw axis (SG 224 Wyckoff i) or glide (plane group 12 Wyckoff c) creates a stationary point.
`AtomIndexIterator`
Symmetry.`getIterator(Viewer vwr, Atom atom, BS bsAtoms, float radius)`
`UnitCellIterator`
UnitCellIterator.`set(SymmetryInterface unitCell, Atom atom, Atom[] atoms, BS bsAtoms, float distance)`

## Uses of Atom in org.jmol.util

Fields in org.jmol.util declared as Atom
Modifier and Type
Field
Description
`Atom[]`
ContactPair.`myAtoms`
Methods in org.jmol.util that return Atom
Modifier and Type
Method
Description
`static Atom`
Vibration.`find(ModelSet modelSet, BS bs, Vibration v0)`
Methods in org.jmol.util with parameters of type Atom
Modifier and Type
Method
Description
`static BS`
JmolMolecule.`getBitSetForMF(Atom[] at, BS bsAtoms, String mf)`
`void`
Vibration.`rotateSpin(M3 matInv, M3 rot, M3 dRot, Atom a)`
Constructors in org.jmol.util with parameters of type Atom
Modifier
Constructor
Description
``
`ContactPair(Atom[] atoms, int i1, int i2, float R, float r, float vdwA, float vdwB)`

## Uses of Atom in org.jmol.viewer

Methods in org.jmol.viewer with parameters of type Atom
Modifier and Type
Method
Description
`void`
ShapeManager.`findNearestShapeAtomIndex(int x, int y, Atom[] closest, BS bsNot)`
`Lst<Float>`
Viewer.`getAtomValidation(String type, Atom atom)`
`short`
ColorManager.`getColixAtomPalette(Atom atom, byte pid)`
`String`
ChimeMessenger.`getInfoXYZ(Atom a)`
called when an atom is picked
`String`
JmolChimeMessenger.`getInfoXYZ(Atom a)`
`String`
Viewer.`getNBOAtomLabel(Atom atom)`
Method parameters in org.jmol.viewer with type arguments of type Atom
Modifier and Type
Method
Description
`BS`
Viewer.`addHydrogensInline(BS bsAtoms, Lst<Atom> vConnections, P3[] pts, Map<String,Object> htParams)`
`P3[]`
Viewer.`getAdditionalHydrogens(BS bsAtoms, Lst<Atom> vConnections, int flags)`

## Uses of Atom in org.openscience.jmol.app.janocchio

Methods in org.openscience.jmol.app.janocchio that return Atom
Modifier and Type
Method
Description
`Atom`
NMR_Viewer.`getAtomAt(int i)`
Methods in org.openscience.jmol.app.janocchio with parameters of type Atom
Modifier and Type
Method
Description
`void`
NmrMolecule.`addCouple(Atom[] atoms)`
`double[]`
NmrMolecule.`calcCouple(Atom[] atoms)`
`protected org.openscience.jmol.app.janocchio.NmrMolecule.DihedralCouple`
NmrMolecule.`getDihedralCouple(Atom[] atoms)`
`int`
NMR_Viewer.`indexInFrame(Atom atom)`